#
# spec file for package nvi-m17n (Version 1.79_19991117)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  canna cannadev termcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip canna cannadev compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit termcap texinfo textutils timezone unzip util-linux vim

Name:         nvi-m17n
Copyright: BSD
Group: Applications/Editors
Summary:      Multilingualized nex/nvi text editors
Version:      1.79_19991117
Release:      127
Provides: nvi, vi_clone
Conflicts: normal-nvi
Source: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-1.79.tar.bz2
Patch0: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-1.79.m17n-19991117.diff.bz2
Patch1: nvi-1.79.m17n-19990331.mkdir.patch
Patch2: nvi-1.79.m17n-ncurses.patch
URL: http://www.itojun.org/itojun.j.html
BuildRoot: /var/tmp/%{name}-root

%description
Multilingualized nex/nvi text editors
This package has been splitted into the following parts:
- nvi-m17n		: common part, must be installed
- nvi-m17n-canna        : binaries with support for canna
- nvi-m17n-nocanna	: binaries without support for canna
One and only one of the binary packages must be installed.

Authors:
--------
    Keith Bostic <bostic@cs.berkeley.edu>
    Jun-ichiro "itojun" Hagino <freesoftware@itojun.org>

SuSE series: j

%package canna
Summary:      Multilingualized nex/nvi text editors (canna version)
Group: Applications/Editors
Requires: %{name} = %{version}

%description canna
This package includes the binaries with support for the Japanese
input system canna.

Authors:
--------
    Keith Bostic <bostic@cs.berkeley.edu>
    Jun-ichiro "itojun" Hagino <freesoftware@itojun.org>

SuSE series: j

%package nocanna
Summary:      Multilingualized nex/nvi text editors (non canna version)
Group: Applications/Editors
Requires: %{name} = %{version}

%description nocanna
This package includes the binaries without support for the Japanese
input system canna.

Authors:
--------
    Keith Bostic <bostic@cs.berkeley.edu>
    Jun-ichiro "itojun" Hagino <freesoftware@itojun.org>

SuSE series: j

%prep
%setup -q -n nvi-1.79
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f build }}
OPTS="--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--program-prefix=n \
	--enable-multibyte=euc-jp \
"	
#	--disable-curses \
#"
NOCANNA="--program-suffix=-nocanna"
CANNA="--enable-canna --program-suffix=-canna"
pushd build
    LIBS='-L /usr/lib/termcap -ltermcap' \
    CPPFLAGS="$RPM_OPT_FLAGS -I /usr/include/termcap" \
    ./configure ${OPTS} ${NOCANNA}
    make
popd
# build canna version
if [ ! -d build.canna ]; then
	mkdir build.canna
fi
pushd build.canna
    LIBS='-L /usr/lib/termcap -ltermcap' \
    CPPFLAGS="$RPM_OPT_FLAGS -I /usr/include/termcap" \
    ../build/configure ${OPTS} ${CANNA}
    make
popd

%install
rm -rf ${RPM_BUILD_ROOT}
pushd build
    make prefix="${RPM_BUILD_ROOT}%{_prefix}" mandir=${RPM_BUILD_ROOT}%{_mandir} install
popd
pushd build.canna
    make prefix="${RPM_BUILD_ROOT}%{_prefix}" mandir=${RPM_BUILD_ROOT}%{_mandir} install
popd
# man-pages for canna and nocanna are identical. Install the nocanna
# versions using the name without suffix:
(cd ${RPM_BUILD_ROOT}%{_mandir}/cat1; mv nvi.0-nocanna nvi.0)
(cd ${RPM_BUILD_ROOT}%{_mandir}/cat1; mv nex.0-nocanna nex.0)
(cd ${RPM_BUILD_ROOT}%{_mandir}/cat1; mv nview.0-nocanna nview.0)
(cd ${RPM_BUILD_ROOT}%{_mandir}/man1; mv nvi.1-nocanna nvi.1)
(cd ${RPM_BUILD_ROOT}%{_mandir}/man1; mv nex.1-nocanna nex.1)
(cd ${RPM_BUILD_ROOT}%{_mandir}/man1; mv nview.1-nocanna nview.1)
mkdir -p $RPM_BUILD_ROOT/var/preserve/vi.recover
chmod 777 $RPM_BUILD_ROOT/var/preserve/vi.recover

%clean
rm -rf ${RPM_BUILD_ROOT}

%post canna
ln -sf nex-canna usr/bin/nex
ln -sf nvi-canna usr/bin/nvi
ln -sf nview-canna usr/bin/nview

%preun canna
if [ "$1" = 0 ]; then
	rm -rf usr/bin/{nex,nvi,nview}
fi

%post nocanna
ln -sf nex-nocanna usr/bin/nex
ln -sf nvi-nocanna usr/bin/nvi
ln -sf nview-nocanna usr/bin/nview

%preun nocanna
if [ "$1" = 0 ]; then
	rm -rf usr/bin/{nex,nvi,nview}
fi

%files
%defattr(-, root, root)
%doc FAQ LAYOUT LICENSE README docs
%doc --parents build/README* catalog/README cl/README.signal db/README
%doc --parents ip/IP_INSTRUCTIONS regex/{COPYRIGHT,WHATSNEW}
%doc docs.m17n
%doc --parents curses/README.m17n regex/README.m17n
%{_prefix}/bin/qregular
%{_prefix}/bin/regular
%{_mandir}/man1/*.1*
%{_prefix}/share/vi/
%dir /var/preserve/vi.recover

%files canna
%defattr(-, root, root)
%{_prefix}/bin/*-canna

%files nocanna
%defattr(-, root, root)
%{_prefix}/bin/*-nocanna

%changelog -n nvi-m17n
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Tue Mar 27 2001 - mfabian@suse.de
- correct mistakes in %%post and %%preun scripts
* Mon Jan 15 2001 - mfabian@suse.de
- adapted spec-file for SuSE, made it FHS compliant.
- added patch to make it possible to compile with system-wide
  ncurses library. But nevertheless I still compile it with the
  curses which comes with nvi-m17n. I tested both,
  ncurses and the curses supplied by nvi-m17n and couldn't find
  a difference. But using the internal curses of nvi-m17n is
  supposed to support Asian languages better, therefore I
  use the internal curses.
